Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class ContentInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.cms.ContentInfo

All Implemented Interfaces:
  CMSObjectIdentifiers, DEREncodable

public class ContentInfo
extends ASN1Encodable
implements CMSObjectIdentifiers

Fields inherited from interface org.bouncycastle.asn1.cms.CMSObjectIdentifiers
`compressedData, data, digestedData, encryptedData, envelopedData, signedAndEnvelopedData, signedData`

Constructor Summary
`ContentInfo(ASN1Sequence seq)`
`ContentInfo(DERObjectIdentifier contentType, DEREncodable content)`

Method Summary
`DEREncodable` | `getContent()`
`DERObjectIdentifier` | `getContentType()`
`static ContentInfo` | `getInstance(java.lang.Object obj)`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentInfo

    public ContentInfo(ASN1Sequence seq)

### ContentInfo

    public ContentInfo(DERObjectIdentifier contentType,
                       DEREncodable content)

Method Detail

### getInstance

    public static ContentInfo getInstance(java.lang.Object obj)

### getContentType

    public DERObjectIdentifier getContentType()

### getContent

    public DEREncodable getContent()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       ContentInfo ::= SEQUENCE {
                contentType ContentType,
                content
                [0] EXPLICIT ANY DEFINED BY contentType OPTIONAL }

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD